Playframework Support Plugin

Since Play 2 framework support is built into the Scala plugin - is the 'Playframework Support' Plugin still needed? What does it do?

Thanks and regards,
Peter

4 comments
Comment actions Permalink

It's required, if you need Play 1.x support.

Best regards,
Alexander Podkhalyuzin.

0
Comment actions Permalink

I disabled the plugin and noticed that the Play messages properties file is not handled anymore - IDEA prompts me to enable plugin support. So I am keeping it enabled for now. Maybe this issue https://youtrack.jetbrains.com/issue/SCL-7848 is associated? It would be such a time saver to have message refactoring fixed :-)

Thanks and regards,
Peter

0
Comment actions Permalink

Thanks for bumping up the priority of the Play messages key refactoring issue. The fix will be a huge time saver.

Peter

0
Comment actions Permalink

Hi!

I registered an issue to extract Playframework support to a separate plugin:

https://intellij-support.jetbrains.com/hc/en-us/community/posts/115000097890-Extract-Playframework-plugin-to-a-separate-github-module

 

We still need it, because we use Play 1. And we also want to modify this plugin because Play 1 changes a lot.

0

Please sign in to leave a comment.